document.getElementById("visszaszamlalasGomb").addEventListener("click", function () {
    let num = parseInt(document.getElementById("masodpercek").value);

    let mypromise = new Promise((resolve, reject) => {

        setTimeout(() => {
            resolve();
        }, 0);

    })



    setInterval(() => {
        if (num != 0) {
            mypromise.then((result) => {
                console.log(num);
                document.getElementById("visszaszamlalas").innerHTML = `Visszaszámlálás: ${num}`;
                num--;
            }).catch((error) => {
                // error ág
            })
        } else if (num == 0) {
            document.getElementById("visszaszamlalas").innerHTML = `Boldog új évet!`;
            return;
        }
    }, 1000)

});

